# arff-mining

## Author, Date, Description
- Gregory Crawford
- Date: 2024-04-17
- Description: Read data from ARFF file and generate OneR output 
- Performance summary at the bottom of this README


## Compiling the project

Prerequisites
  - C++11

In order to compile the project, simply run these two commands:

    cmake -B build -S .
    cmake --build build


## Running the Project

The programs should now be compiled at ./build/bin/

ARFF:
```plain
build/bin/arff
```

One Rule:
```plain
build/bin/onerule
```


## Performance Summary

***contactLenses***
```
	tear-prod-rate:
		normal ---> soft
		reduced ---> none
Error rate: 7/24
build/bin/onerule  0.00s user 0.00s system 85% cpu 0.002 total
```

***restaurants***
```
	Pat:
		Full ---> No
		None ---> No
		Some ---> Yes
Error rate: 2/12
build/bin/onerule  0.00s user 0.00s system 85% cpu 0.001 total
```

***soybean***
```
	fruit-spots:
		absent ---> alternarialeaf-spot
		brown-w/blk-specks ---> anthracnose
		colored ---> frog-eye-leaf-spot
		distort ---> alternarialeaf-spot
		dna ---> brown-stem-rot
Error rate: 385/683
build/bin/onerule  0.02s user 0.00s system 98% cpu 0.024 total
```

***weather***
```
	outlook:
		overcast ---> yes
		rainy ---> yes
		sunny ---> no
Error rate: 4/14
build/bin/onerule  0.00s user 0.00s system 87% cpu 0.001 total
```
