#include "log.hpp"
#include <iostream>

namespace debug {
    bool verbose = false;

    void Log(LogLevel level, std::string message) {
        std::string logMessage = "";
        if (!verbose && level > kNone) { return; }
        switch (level) {
            case kLog: logMessage += "[LOG] "; break;
            case kWarn: logMessage += "[WARN] "; break;
            case kError: logMessage += "[ERROR] "; break;
            case kTrace: logMessage += "[TRACE] "; break;
        }
        logMessage += message;
        std::cout << logMessage << std::endl;
    }
}
